export interface BookTrackerSettings {
	bookFolder: string;
	tbrFolder: string;
	readBooksFolder: string;
	organizeReadBooks: boolean;
	templateFile: string;
	fileNameFormat: string;
	downloadCovers: boolean;
	coverFolder: string;
	groupCoversByFirstLetter: boolean;
	overwriteExistingCovers: boolean;
	statusProperty: string;
	startDateProperty: string;
	endDateProperty: string;
	ratingProperty: string;
	spiceProperty: string;
	pageCountProperty: string;
}

export const DEFAULT_SETTINGS: BookTrackerSettings = {
	bookFolder: "books",
	tbrFolder: "books/tbr",
	readBooksFolder: "books/read",
	organizeReadBooks: true,
	templateFile: "",
	fileNameFormat: "{{title}} - {{authors}}",
	downloadCovers: false,
	coverFolder: "images/covers",
	groupCoversByFirstLetter: true,
	overwriteExistingCovers: false,
	statusProperty: "status",
	startDateProperty: "startDate",
	endDateProperty: "endDate",
	ratingProperty: "rating",
	spiceProperty: "",
	pageCountProperty: "pageCount",
};
